import type { ColDef, ICellRendererComp, ICellRendererParams } from '@ag-grid-community/core';
import { ActionMenuItem } from '@genesislcap/foundation-ui';
import { FoundationElement } from '@microsoft/fast-foundation';
export declare class ActionsMenuRenderer extends FoundationElement implements ICellRendererComp {
    params: ICellRendererParams;
    init(params: ICellRendererParams): void;
    getGui(): HTMLElement;
    destroy(): void;
    refresh(params: ICellRendererParams): boolean;
}
export declare const foundationGridProActionsMenuRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
}, typeof ActionsMenuRenderer>;
export declare const getActionsMenuDef: (actions: ActionMenuItem[], overrideDef?: ColDef, customActionsOpenerName?: string, isVertical?: boolean, buttonAppearance?: string) => ColDef;
//# sourceMappingURL=actions-menu.renderer.d.ts.map