export const setValueWithAccessor = (data, accessor) => {
    if (accessor.indexOf('.') < 0) {
        return data[accessor];
    }
    else {
        const accessorPieces = accessor.split('.');
        let currentObject = data;
        while (accessorPieces.length > 0 && currentObject) {
            const fieldPiece = accessorPieces.shift();
            if (accessorPieces.length === 0) {
                return currentObject[fieldPiece];
            }
            else {
                currentObject = currentObject[fieldPiece];
            }
        }
    }
};
